import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class WolfGameContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    wolfGameWoolPouch({ address, network }: ContractOpts): import("./ethers").WolfGameWoolPouch;
}
export type { WolfGameWoolPouch } from './ethers';
